Subject: bug#61911: error: mate-polkit: unbound variable

From: Ludovic Courtès <[email-masked]>
Date: Tue, 07 Mar 2023 00:05:39 +0100

Hi Josselin & Maxime,

Josselin Poiret <[email-masked]> skribis:

> Maxime Devos <[email-masked]> writes:
>
>> In unknown file:
>>             3 (primitive-load-path "gnu/packages/xfce" #<procedure 7f?>)
>> In gnu/packages/xfce.scm:
>>    1156:19  2 (_)
>> In ice-9/boot-9.scm:
>>    1685:16  1 (raise-exception _ #:continuable? _)
>>    1685:16  0 (raise-exception _ #:continuable? _)
>>
>> ice-9/boot-9.scm:1685:16: In procedure raise-exception:
>> error: mate-polkit: unbound variable
>
> This is the same kind of issue as [1]: both xfce and mate require each
> other (the second through mate -> freedesktop -> kde-frameworks ->
> kde-plasma -> display-managers -> xfce), and depending on the order in
> which they're loaded, mate-polkit-for-xfce might get defined before
> mate-polkit is.  The solution I suggested there was to define the
> variant in the same file as the original package, but here I'm not sure
> if this is the right call.

It is the right call.  The (unwritten?) rule is to always define
variants in the same module as the original module, to avoid top-level
circular references.

I pushed it as 0d963875278d585eb86bc87127efa20a8d627595 as I think it
should be considered a rather serious issue.

Thanks,
Ludo’.